--- sampleconf/mimeview	2012-05-04 09:49:33.000000000 +0200
+++ sampleconf/mimeview.mac	2012-05-19 08:05:00.000000000 +0200
@@ -2,7 +2,8 @@
 
 ## ##########################################
 # External viewers, launched by the recoll GUI when you click on a result
-# 'edit' link
+# 'Open' link - MAC version
+# On the MAC, we basically use "open" for everything...
 
 # Mime types which we should not uncompress if they are found gzipped or
 # bzipped because the native viewer knows how to handle. These would be
@@ -11,82 +12,79 @@
 
 [view]
 # Pseudo entry used if the 'use desktop' preference is set in the GUI
-application/x-all = xdg-open %f
+application/x-all = open %f
 
 application/x-kword = kword %f
 application/x-abiword = abiword %f
 
-application/pdf  = okular %f
-application/postscript = okular %f
-application/x-dvi = okular %f
+application/pdf  = open %f
+application/postscript = open %f
+application/x-dvi = open %f
 
 application/x-lyx = lyx %f
 application/x-scribus = scribus %f
 
-application/msword = libreoffice %f
-application/vnd.ms-excel = libreoffice %f
-application/vnd.ms-powerpoint = libreoffice %f
+application/msword = open %f
+application/vnd.ms-excel = open %f
+application/vnd.ms-powerpoint = open %f
 
 application/vnd.openxmlformats-officedocument.wordprocessingml.document = \
- libreoffice %f
+ open %f
 application/vnd.openxmlformats-officedocument.wordprocessingml.template = \
- libreoffice %f
+ open %f
 application/vnd.openxmlformats-officedocument.presentationml.template = \
- libreoffice %f
+ open %f
 application/vnd.openxmlformats-officedocument.presentationml.presentation = \
- libreoffice %f
+ open %f
 application/vnd.openxmlformats-officedocument.spreadsheetml.sheet = \
- libreoffice %f
+ open %f
 application/vnd.openxmlformats-officedocument.spreadsheetml.template =\
- libreoffice %f
-application/vnd.sun.xml.calc = libreoffice %f
-application/vnd.sun.xml.calc.template = libreoffice %f
-application/vnd.sun.xml.draw = libreoffice %f
-application/vnd.sun.xml.draw.template = libreoffice %f
-application/vnd.sun.xml.impress = libreoffice %f
-application/vnd.sun.xml.impress.template = libreoffice %f
-application/vnd.sun.xml.math = libreoffice %f
-application/vnd.sun.xml.writer = libreoffice %f
-application/vnd.sun.xml.writer.global = libreoffice %f
-application/vnd.sun.xml.writer.template = libreoffice %f
-application/vnd.wordperfect = libreoffice %f
+ open %f
+application/vnd.sun.xml.calc = open %f
+application/vnd.sun.xml.calc.template = open %f
+application/vnd.sun.xml.draw = open %f
+application/vnd.sun.xml.draw.template = open %f
+application/vnd.sun.xml.impress = open %f
+application/vnd.sun.xml.impress.template = open %f
+application/vnd.sun.xml.math = open %f
+application/vnd.sun.xml.writer = open %f
+application/vnd.sun.xml.writer.global = open %f
+application/vnd.sun.xml.writer.template = open %f
+application/vnd.wordperfect = open %f
 
 application/x-chm = kchmviewer %f
 application/x-dia-diagram = dia %f
-application/x-fsdirectory = dolphin %f
+application/x-fsdirectory = open %f
 application/x-gnuinfo = xterm -e "info -f %f"
 application/x-gnumeric = gnumeric %f
 
-application/x-flac = rhythmbox %f
-audio/mpeg = rhythmbox %f
-application/ogg = rhythmbox %f
-
-image/jpeg = gwenview %f
-image/png = gwenview %f
-image/tiff = gwenview %f
-image/gif  = gwenview %f
-image/svg+xml = inkview %f
-image/vnd.djvu = djview %f
-image/x-xcf = gimp %f
-image/bmp = gwenview %f
-image/x-ms-bmp = gwenview %f
-image/x-xpmi = gwenview %f
+application/x-flac = open %f
+audio/mpeg = open %f
+application/ogg = open %f
+
+image/jpeg = open %f
+image/png = open %f
+image/tiff = open %f
+image/gif  = open %f
+image/svg+xml = open %f
+image/vnd.djvu = open %f
+image/x-xcf = open %f
+image/bmp = open %f
+image/x-ms-bmp = open %f
+image/x-xpmi = open %f
 
 message/rfc822 = thunderbird -file %f
 text/x-mail = thunderbird -file %f
 
-application/x-tex = emacsclient  %f
-text/x-tex = emacsclient  %f
-# Or firefox -remote "openFile(%u)"
-text/html = firefox %u
+application/x-tex = open %f
+text/x-tex = open %f
+text/html = open %u
 text/html|gnuinfo = rclshowinfo %F %(title)
-text/plain = emacsclient  %f
-text/x-c = emacsclient  %f
-text/x-c+ = emacsclient  %f
-text/x-c++ = emacsclient  %f
-text/x-html-sidux-man = konqueror %f
-text/x-html-aptosid-man = iceweasel %f
+text/plain = open %f
+text/x-c = open %f
+text/x-c+ = open %f
+text/x-c++ = open %f
 text/x-chm-html = openchm %f %i
-text/x-ini = emacsclient  %f
-text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
+text/x-ini = open  %f
+#text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
 text/x-python = idle %f
